Package org.eclipse.microprofile.rest.client.annotation

# Annotation Type RegisterProviders

@Target(TYPE) @Retention(RUNTIME) @Documented public @interface RegisterProviders
When annotation is placed at the interface level of a REST API definition, the providers listed will be registered upon proxying.

If a provider listed is not found on the classpath, it is ignored. If a provider is listed, but is not a valid provider, then an `IllegalArgumentException` is thrown indicating that the provider is invalid.

This class serves to act as the `Repeatable` implementation for `RegisterProvider`

## Required Element Summary

Required Elements
Modifier and Type
Required Element
Description
`RegisterProvider[]`
`value`

## Element Details

### value

RegisterProvider[] value